package net.northking.cctp.se.device.bean;

import lombok.extern.slf4j.Slf4j;
import net.northking.cctp.element.core.DeviceDriver;
import net.northking.cctp.mobile.driver.driver.MobileDriver;

import java.net.URISyntaxException;
import java.util.concurrent.Future;

@Slf4j
public class MobileDeviceDriver extends MobileDriver implements DeviceDriver {


    public MobileDeviceDriver(String upperUrl, String deviceId, String type) throws URISyntaxException {
        super(upperUrl, deviceId, type);
    }

    @Override
    public void destroy() {
        try {
            log.debug("进入destroy方法");
            super.destroyDriver();
        } catch (Exception e) {
            log.error("destroy失败,e：", e);
        }
    }

    @Override
    public void setFuture(Future future) {

    }

    @Override
    public Future getFuture() {
        return null;
    }
}
